imports:
    - { resource: ./../config/framework.yml }

framework:
    http_method_override: false
    serializer: ~

security:
    password_hashers:
        Symfony\Component\Security\Core\User\InMemoryUser: plaintext

    providers:
        in_memory:
            memory:
                users:
                    dunglas: { password: foo, roles: [ROLE_USER] }

    firewalls:
        main:
            pattern: ^/
            access_token:
                token_handler: access_token.access_token_handler
                token_extractors: 'request_body'
                realm: 'My API'

    access_control:
        - { path: ^/foo, roles: ROLE_USER }

services:
    access_token.access_token_handler:
        class: Symfony\Bundle\SecurityBundle\Tests\Functional\Bundle\AccessTokenBundle\Security\Handler\AccessTokenHandler
